For the complete documentation index, see llms.txt. This page is also available as Markdown.

Contracts

Details

GET https://api.pointpay.io/public/cmc/futures/contracts

CURL Example
curl -X GET "https://api.pointpay.io/public/cmc/futures/contracts" -H "accept: application/json"

Response parameters:

The response is an array. Each item contains the following fields:

Name
Type
Description

ticker_id

STRING

Identifier of a ticker with delimiter to separate base/quote, e.g. BTC-USDT

base_currency

STRING

Symbol/currency code of base pair, e.g. BTC

quote_currency

STRING

Symbol/currency code of quote pair, e.g. USDT

last_price

STRING

Last transacted price of base currency based on the given quote currency

base_volume

STRING

24-hour trading volume denoted in BASE currency

target_volume

STRING

24-hour trading volume denoted in QUOTE currency

bid

STRING

Current highest bid price

ask

STRING

Current lowest ask price

high

STRING

Rolling 24-hour highest transaction price

low

STRING

Rolling 24-hour lowest transaction price

product_type

STRING

Type of product (Futures, Perpetual, Options)

open_interest

STRING

Number of outstanding derivative contracts that have not been settled

open_interest_usd

STRING

Sum of the open positions (long or short) in USD value of the contract

index_price

STRING

Last calculated index price for the underlying of the contract

funding_rate

STRING

Current funding rate

next_funding_rate_timestamp

NUMERIC

Timestamp of the next funding rate change (unixtime, ms)

next_funding_rate

STRING

Upcoming predicted funding rate

maker_fee

STRING

Fees for filling a "maker" order (percentage)

taker_fee

STRING

Fees for filling a "taker" order (percentage)

contract_type

STRING

Type of the contract (Vanilla, Inverse or Quanto)

contract_price

STRING

Price per contract

contract_price_currency

STRING

Currency in which the contract is priced, e.g. USDT

Response example:

Response example:

This error occurs in the following cases:

  • Invalid URL

  • Request contains invalid headers

Response example:

This error occurs in the following cases:

  • The requested URL was not found